curl --request GET \
--url https://int-api.mx.com/institutions/{institution_identifier} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/institutions/{institution_identifier}"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/institutions/{institution_identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"institution": {
"code": "mxbank",
"guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
"iso_country_code": "US",
"name": "MX Bank",
"products": [
"account_verification",
"identity_verification",
"transactions",
"transaction_history",
"statements",
"investments",
"rewards"
],
"self": "/institutions/INS-1572a04c-912b-59bf-5841-332c7dfafaef",
"supports_oauth": true,
"mx_record": {
"created_at": "2025-05-10T18:08:00Z",
"updated_at": "2026-02-12T22:48:21Z"
}
}
}Read institution
This endpoint returns information about the institution specified by institution_identifier, which can be either the institution code or the institution guid.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20260929"
Path Parameters
A unique identifier for the institution, defined by MX. Accepts either the institution code (for example, mxbank) or the institution guid (for example, INS-1572a04c-912b-59bf-5841-332c7dfafaef). Both are defined by MX and either can be used.
Response
OK
Hide child attributes
Hide child attributes
The code identifying a financial institution.
"mxbank"
The unique identifier for the institution. Defined by MX.
"INS-1572a04c-912b-59bf-5841-332c7dfafaef"
The ISO country code associated with the institution.
US, CA "US"
The name of the institution.
"MX Bank"
The products the institution supports.
account_verification, identity_verification, transactions, transaction_history, statements, investments, rewards [
"account_verification",
"identity_verification",
"transactions",
"transaction_history",
"statements",
"investments",
"rewards"
]
The API URI path for the institution.
"/institutions/INS-1572a04c-912b-59bf-5841-332c7dfafaef"
If true, this indicates that the institution supports OAuth and that you have been properly registered for OAuth with that institution.
true
Timestamps for when MX created and last updated the record. Returned as the mx_record companion on all resources persisted by MX. These describe the MX record, not the underlying resource at the institution.
Hide child attributes
Hide child attributes
The date and time the resource was created in MX Platform, represented in ISO 8601 format with a timestamp.
"2025-05-10T18:08:00Z"
The date and time the resource was last updated in MX Platform, represented in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2026-02-12T22:48:21Z"

